# -*- coding: utf-8 -*-
sys.path.insert(1,'/home/cosmo/opt/SalomeCDF8_0_5/Salome_CFD-SCFD_V8_5_0-Code_Saturne-5_2-univ_d54f597c/tools/Code_syrthes-mpa_syrthes435qt5/arch/Linux_x86_64/share/syrthes/')

#===============================================================================
# User variable settings to specify a coupling computation environnement.

# A coupling case is defined by a dictionnary, containing the following:

# Solver type ('Code_Saturne', 'SYRTHES', 'NEPTUNE_CFD' or 'Code_Aster')
# Domain directory name
# Run parameter setting file
# Number of processors (or None for automatic setting)
# Optional command line parameters. If not useful = None
#===============================================================================

# Define coupled domains

domains = [

    {'solver': 'Code_Saturne',
     'domain': 'FLUID',
     'script': 'runcase',
     'n_procs_weight': None,
     'n_procs_min': 1,
     'n_procs_max': None}

    ,
    {'solver': 'SYRTHES',
     'domain': 'SOLID',
     'script': 'syrthes_data.syd',
     'n_procs_weight': None,
     'n_procs_min': 1,
     'n_procs_max': None,
     'opt' : ''}               # Additional SYRTHES options
                               # (ex.: postprocessing with '-v ens' or '-v med')

    ]

